Subject: bug#66125: 29.1; configure --with-small-ja-dic has no effect

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Sep 2023 21:54:35 +0300

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Sep 2023 20:21:03 +0200
> 
> >>>>> On Wed, 20 Sep 2023, Eli Zaretskii wrote:
> 
> > OK, thanks.  In its current form, this option will only make a
> > difference if you remove the ja-dic files that came with the tarball,
> > and then rebuild.  We should improve this,
> 
> Maybe omit ja-dic.{el,elc} from the tarball, when they depend on the
> configuration?

No, that's a cure that is worse than the disease: those dictionaries
take a while to generate.

I think I know how to fix this, please stay tuned.

> > although it strikes me that such an obscure feature, which is also not
> > recommended, perhaps doesn't deserve the effort...
> 
> Somebody must have found the feature important enough to add a configure
> option for it. :)

No one intended for that option to be used.

> To add some context, even if it is only loosely related: This originates
> from Gentoo bug https://bugs.gentoo.org/914368 where a user observed a
> segmentation fault in libgccjit when native-compiling ja-dic.el.
> (However, that bug occured with a somewhat obscure system, and we don't
> really have proof that it was related to the size of the file.)

I have an AOT build on GNU/Linux, and I see a ja-dic*.eln file there,
so I had no problems with natively compiling it.

Ans segfaults in libgccjit should be reported to the GCC folks, I
think.